Package org.springframework.security.authentication.jaas.event

# Class JaasAuthenticationEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.authentication.jaas.event.JaasAuthenticationEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `JaasAuthenticationFailedEvent`, `JaasAuthenticationSuccessEvent`

public abstract class JaasAuthenticationEvent extends org.springframework.context.ApplicationEvent
Parent class for events fired by the `JaasAuthenticationProvider`.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`JaasAuthenticationEvent(Authentication auth)`
The Authentication object is stored as the ApplicationEvent 'source'.

## Method Summary

Modifier and Type
Method
Description
`Authentication`
`getAuthentication()`
Pre-casted method that returns the 'source' of the event.

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JaasAuthenticationEvent

public JaasAuthenticationEvent(Authentication auth)
The Authentication object is stored as the ApplicationEvent 'source'.

Parameters:
  `auth` -

## Method Details

### getAuthentication

public Authentication getAuthentication()
Pre-casted method that returns the 'source' of the event.

Returns:
  the Authentication